About IDF editor

EscapeE is equipped with a dual-mode editor suitable for programmers typing in IDF code 'from scratch' (Text mode) and users building and editing documents one step at a time (Tree mode). In addition, "wizards" are provided to set up specialized, but commonly used, documents; see

▪ Booklet wizard
▪ Mail merge wizard

The IDF code for these 'special case' documents may be customized using the IDF editor - it is engaged automatically by the wizard once the basic structure has been laid down. For 'general case' documents, however, it is best to use the IDF editor directly: see

▪ Other documents for help on editing IDF.


Booklet wizard

The IDF Booklet wizard positions four page-images on each sheet of paper so that, when folded in half, each sheet forms four pages of a booklet. Page numbering and a title page may be added automatically, if required.

1. Click File | New control file and select Intelligent Document Format (IDF).
2. Choose Booklet then click OK.
3. Check Title page if one is required. The Booklet title page Text Editor will be displayed. Key in the title text then click the Close [image] button to return to the Booklet wizard. 'Title page' counts as page1.
4. Enter the size of Paper to be used; for example, A4 folds to make an A5-sized booklet.
5. Choose the page numbering scheme as required; the default is None.
6. Click Add files... to display the standard 'Open' files dialogue.
Select the first file to be included in the booklet then click OK.
7. Continue to Add files... as above to add subsequent files to the booklet. You will see the table of files and pages build at the foot of the wizard. Booklet wizard will take care of the positioning, rotation and ordering of pages automatically.
8. Click OK.
The IDF wizard opens with the booklet parameters already set up. You may use this directly (go to next step), or customize it using the IDF editor: see Creating and editing other documents.
9. Click Save to display the standard 'Save' dialogue. Name the file then click the Save button.
The booklet IDF file is created and displayed in EscapeE.


Mail merge wizard

The mail merge wizard is normally used to add personal details such names and addresses to otherwise standard letters.

1. Click File | New control file and select Intelligent Document Format (IDF).
2. Choose Mail merge then click OK.
3. Enter, or Browse to select, the CSV file containing the addresses to be used.
4. Enter the Paper type.
5. The tabbed notebook will be showing Page1: enter, or Browse to select, the name of the letter file and page in that file containing the text for page 1.
6. Select a field name from the drop-down list of fields found in the letter file. This specifies the starting point for the text/data to be merged.
7. Type in any text to be added to the page at this point; use the 'Font...' dialogue to set up the font. (The [image] character indicates a place where the Text editor has wrapped the text to fit the window.) Data from the CSV file may be inserted into the text by selecting the data-field name from the box alongside. A data-field name is shown in upper case, enclosed by braces, e.g. {TOWN}.
8. If another page is required for the letter, select the New page tab then repeat steps 6 and 7.
9. Click OK.
The IDF wizard opens showing the mail-merged letter's parameters ready set up. You may use this letter directly (go to next step), or edit it further using the IDF editor: Creating and editing other documents.
10. Click Save to display the standard 'Save' dialogue. Name the file then click the Save button.
The IDF file is created and displayed in EscapeE.


Other documents

Creating and editing "Other" documents

To build a new document using the IDF editor directly:

1. Click File | New control file and select Intelligent Document Format (IDF).
2. Choose Other then click OK.
3. Select Text mode.
IDF editor writes the IDF code to construct a document with one blank page:

<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<IDF ENCODING="UTF-8" UNITS="DOT600" FONT="Arial" POINTSIZE="10" ORIENT="P">
<PAGE/>

</IDF>...

Enter the code for your document between the <IDF> and </IDF> tags: see IDF syntax for descriptions of IDF elements and attributes.

Alternatively, select Tree mode in step 3 above: IDF editor switches to displaying the document's code schematically and opens the Properties editor. While programmers find this useful for getting an overview of the document's structure, the Properties editor enables non-programmers to build and alter documents without keying in code directly.

Editing IDF code in Tree mode

· Click on an element to expand/collapse the element and display the Properties editor.
· Right-click an element and choose Properties... from the pop-up menu to display the Properties editor.

The type of element is shown at the top of the Properties editor's Attributes panel. To change the type, select the new type from the drop-down list alongside "Type".

The attributes (and values) for the selected element are listed below "Type". You may choose which attributes to show from the drop-down list of common items on the panel above "Type". If you choose to show "All items", you will see just how many attributes IDF can offer! "Defined items" is often a better choice; if you decide to define a new attribute for that element, just select it from the drop-down list and it will be added to the Attributes panel.

Attributes of the selected element are listed in the panel with their values alongside. Many attribute values can be edited by choosing from drop-down list (e.g. Units), some can be edited by keying in the new value in an edit box (e.g. Left), and those which are underlined can be clicked to display dialogues (e.g. Font...).

The alterations you have made in the Properties editor will be coded into IDF when the OK button at the top of the Properties editor is clicked. Click Cancel to ignore the alterations.


About IDF syntax

IDF is a way of describing the structure of a composite document to the EscapeE viewer and transformation system. A complete document can be assembled from a number of fragments in any of the supported EE formats. See notes on:

▪ Dimensions in IDF
▪ Using data fields

An XML 1.0 notation is used to describe document content. There is no significance in the ordering of attributes. IDF uses a simple tree structure where each branch is a tag or an array of tags. Leading and trailing "whitespace" in body text is removed. The intrinsic space character entity &nbsp; may be used to preserve "whitespace" in these positions.

▪ IDF syntax describes the elements and attributes used in IDF.

Where appropriate, the attributes of container elements are used as defaults for nested elements. Nesting may be up to 8 levels deep.


Dimensions in IDF

The position of an item is given relative to the origin (the top-left corner) of the 'container' (e.g. GROUP) it is in. The size of an item defaults to the dimensions of the container. The default unit in IDF is 1/600th of an inch: to change it, see UNITS attribute.

Use WIDTH, HEIGHT, LEFT, TOP attributes to specify the dimensions of an item: the values can be full arithmetic expressions including brackets. You may also use the following special symbols:

PRINTABLE gives the printable area of the page. e.g. PRINTABLE.LEFT is the leftmost printable point.

PAGE gives the full page dimensions e.g. PAGE.WIDTH is the width of the paper.

Example

<FILE FILENAME="Logo1.tif" LEFT = "WIDTH/2"/>

would be used to position the file Logo1.tif on the right of a two-up page.


Using data fields
· To use data values in IDF attribute values, enclose the data fieldname in braces (curly brackets), for example
FILENAME = "C:\MyFiles\{field1}.pcl"
· To prompt a user to provide data for a field, place double quotes within the braces, e.g.:
<FIELD DEFINE="YES" NAME="MyInFile" STRING='{"Input file name"}'/>
See Double page example.
· To place data within the body text of an IDF document, use the processing instruction
<?EE fieldname?>
See Example of GROUP element and REPEAT attribute.
· To make the processing of items dependent on the value of a data field, place the items in a GROUP and set up a CONDITION.


IDF syntax

These element tags are defined:

▪ IDF - mandatory root element,

in which the following element tags may occur:

▪ EXECUTE - a program to be called to supply data
▪ FIELD - a type of group which invokes an EscapeE field and is positioned relative to it
▪ FILE - displays the contents of a page of a file
▪ GROUP - encapsulate (and re-use) a group of items
▪ INCLUDE - incorporates a named group or IDF or EE field file
▪ PAGE - a type of group which defines a physical side of a page of output
▪ RTF - a rich text segment
▪ SIGNATURE - a digital signature
▪ TEXT - a text string caption,

plus the drawing element tags:

▪ B - points for defining a Bezier curve
▪ M - moves the drawing cursor
▪ P - points defining a polyline.


Element Bezier

Element <B>

The element "B" is used to define any point of a Bezier curve.

To draw a Bezier curve, first define a starting point. The next two points are 'control points'; these points are not positioned on the line but are used to guide the curve to the next defined point, which is positioned on the line. Continue to define groups of three points (i.e. 2 off-line control points + 1 on-line position point) until the line is drawn.

If the starting-point is omitted then the group origin is used.

If the start and end-points are both omitted then the group origin is used for both.

Example

Attributes

X

Y

See also

Polyline

Move


Element <EXECUTE>

EXECUTE executes a program, batch file or DLL specified by the PLUGIN attribute, e.g.

<EXECUTE PLUGIN = "FRED.EXE">

These files must reside in the EscapeE plugins folder. The contents of the item (including any sub-tags) are written to a temporary file whose name is passed as the first parameter (enclosed in quotes in the case of calling a program). If ENCODING is set to BASE64 and there are no sub-tags then the body text is decoded as base 64; otherwise it is written as it appears.

Attributes

PARAM

PLUGIN


Element <FIELD>

A type of group which specifies a position and display area. The area may be used by other elements e.g. PAGE, or as a "clip region" - see CLIP attribute. Fields can be defined in terms of other fields (including any special ones such as the time) or a value obtained by prompting the user; see Double page example.

If the named field has not been defined already in an associated .EE field file, the area's coordinates are constructed from the IDF position attributes. If the named field is defined in the .EE field file, the display's coordinates may be taken from the EscapeE field instead: see DEFINE attribute.

Example of FIELD element

Attributes:

DEFINE

FIELDFLAGS

NAME

STRING


Element <FILE>

FILE is a type of group that normally displays a PAGE of a file specified by the FILENAME attribute. The file format can be PCL, PDF, PostScript, Epson ESCP, JPEG, BMP, DCX, PCX, PNG, RTF, TIFF, IMG or DICOM as well as IDF.

You may use the PAPER, TRAY, BIN or PLEX attributes in the FILE tag to override the settings in a PCL file.

Example:

<FILE FILENAME = "FRED2.PCL" PAGE="4"/>

Programmers Note To encapsulate binary data (for example from an image file) "in-line" rather than as an external file, use

ENCODING = "BASE64"

Attributes

ALIGN

BIN

BOUNDS

CLIP

CLIPHEIGHT

CLIPSTEPX

CLIPSTEPY

CLIPWIDTH

CLIPX

CLIPY

COLOUR or COLOR

ENCODING

FILENAME

FILETYPE

FILL

FONT

FONTSIZE

HEIGHT

IMAGERES

LEFT

ORIENT

PAGE

PAPER

PLEX

POINTSIZE

ROTATE

SCALE

SCALEX

SCALEY

SIDE

STYLE

TOP

TRANSPARENT

TRIM

UNITS

WEIGHT

WIDTH


Element <GROUP>

Encapsulates a number of items so that they may be treated as a single unit. Conditions may be applied to the group: only if conditions are 'true' will the group be processed (see CONDITION attribute).

Groups may contain, or be contained by, PAGE elements.

Any attributes of the group become the defaults for items within the group.

Groups can be nested up to 8 levels deep.

Example

Attributes

BIN

BLANKLINES

BOUNDS

CLIP

CLIPHEIGHT

CLIPSTEPX

CLIPSTEPY

CLIPWIDTH

CLIPX

CLIPY

COLOUR or COLOR

CONDITION

FILL

FONT

FONTSIZE

HEIGHT

LEFT

NAME

ORIENT

PAPER

PLEX

POINTSIZE

PREFIX

REPEAT

ROTATE

SCALE

SCALEX

SCALEY

SHAPE

SIDE

STEPX

STEPY

STYLE

THICKNESS

TOP

TRANSPARENT

TRAY

UNITS

WEIGHT

WIDTH


Element <IDF>

This is the top-level tag encapsulating the whole file. All of the other elements - B, EXECUTE, FIELD, FILE, GROUP, INCLUDE, M, P, PAGE, RTF, SIGNATURE, TEXT - are used within it. (In fact, you may use the INCLUDE element to nest another IDF file inside it.) It does not have attributes per se, but may take any GROUP attributes which have been set up, to serve as defaults.

Example


Element <INCLUDE>

The INCLUDE element is used to incorporate named groups and IDF, CSV or EE files. For example,

INCLUDE GROUPNAME = "para2"

incorporates an existing group with the name of 'para2'.

In this example, the FILENAME attribute incorporates the IDF file 'FRED3':

INCLUDE FILENAME = "FRED3.IDF"

The file type is determined by the extension:
.IDF is another Intelligent Document File
.EE is a set of EscapeE field definitions
.CSV is a comma-separated data file with field names in record 1. The data values are assigned the the specified fields.

INCLUDE may be used outside as well as inside a PAGE container.

Example

Attributes

BIN

BOUNDS

CLIP

CLIPHEIGHT

CLIPSTEPX

CLIPSTEPY

CLIPWIDTH

CLIPX

CLIPY

COLOUR or COLOR

FILL

FONT

FONTSIZE

GROUPNAME

HEIGHT

LEFT

NAME

PAPER

PLEX

POINTSIZE

PREFIX

ROTATE

SCALE

SCALEX

SCALEY

SHAPE

SIDE

STEPX

STEPY

STYLE

THICKNESS

TOP

TRANSPARENT

TRAY

UNITS

WEIGHT

WIDTH


Element Move

Element <M>

The "Move" element, M, is used to move to a new drawing position before starting to draw a line.

Example

Attributes

X

Y

See also

Bezier

Polyline


Element <PAGE>

A container which defines a physical side of a page of output.

A PAGE element cannot be nested within another PAGE element.

An IDF element cannot be placed in a PAGE element, but an IDF file may be INCLUDEd.

All of the remaining elements - B, EXECUTE, FIELD, FILE, GROUP, INCLUDE, M, P, RTF, SIGNATURE, TEXT - are allowed in the PAGE container. Any attributes of the PAGE become the defaults for items defined within it.

See Example of IDF element, Example of GROUP element.

Attributes

BIN

BLANKLINES

BOUNDS

CLIP

CLIPHEIGHT

CLIPSTEPX

CLIPSTEPY

CLIPWIDTH

CLIPX

CLIPY

COLOUR or COLOR

FILL

FONT

FONTSIZE

HEIGHT

LEFT

NAME

ORIENT

PAPER

PLEX

POINTSIZE

PREFIX

ROTATE

SCALE

SCALEX

SCALEY

SHAPE

SIDE

STEPX

STEPY

STYLE

THICKNESS

TOP

TRANSPARENT

TRAY

TRIM

UNITS

WEIGHT

WIDTH


Element Polyline

Element <P>

The "Polyline" element, P, is used to define a point on a line. Example

Attributes

X

Y

See also

Bezier

Move


Element <RTF>

This element enables formatted text, to be placed in an IDF document. The text is placed as a "rich text segment" with all the information necessary (position, font, colour etc.) for its formatting on the page in the RTF tag itself. See also Element TEXT.

Example of RTF element

Attributes

BIN

BOUNDS

CLIP

CLIPHEIGHT

CLIPSTEPX

CLIPSTEPY

CLIPWIDTH

CLIPX

CLIPY

COLOUR or COLOR

FILL

FONT

FONTSIZE

HEIGHT

LEFT

NAME

PAPER

PLEX

POINTSIZE

ROTATE

SCALE

SCALEX

SCALEY

SHAPE

SIDE

STEPX

STEPY

STYLE

THICKNESS

TOP

TRANSPARENT

TRAY

UNITS

WEIGHT

WIDTH

See also

Element TEXT


Element SIGNATURE

SIGNATURE adds a digital signature: this is a security feature that EscapeE can add to make documents tamper-proof, and enables signatures to be validated.

Digital signatures need the certificate name and a serial number. You can also have a description e.g.

<SIGNATURE CERTIFICATE="DGF LLC" SERIAL="7C 56 05 3F 88 42 13 88 45 95 4A 2B 03 C7 56 47 " DESCRIPTION="Test file">

The IDF wizard helps with setting these up if you check the "Sign" box when creating an IDF document.

Attributes

CERTIFICATE

DESCRIPTION

LOCATION

SERIAL


Element <TEXT>

The TEXT element is used to place text on a PAGE. A short line of text can be placed directly in the text tag using the STRING attribute:
<TEXT STRING="text"/>
To place several lines of text, enclose the block of text in a pair of tags:
<TEXT> text
block...</TEXT>

Use the attributes (listed below) to set up the formatting.

Example of TEXT element

See also Element RTF.

Attributes

ALIGN

COLOUR or COLOR

FIELD

FILL

FONT

FONTSIZE (scaled by current SCALEY)

LEFT

PAD or PADDING

PADBOTTOM

PADLEFT

PADRIGHT

PADTOP

POINTSIZE

ROTATE

STRING

STYLE

SYMBOLSET

TOP

WEIGHT

See also

Element RTF


Element-Attributes Table

Element - Attributes Tables

This table shows the attributes that are natural to each element, and may be inherited by lower-level tags. Click the attribute to see the values which it may take.

element

\

attribute

ALIGN

BIN

BLANKLINES

BOUNDS

CERTIFICATE

CLIP

CLIPHEIGHT

CLIPSTEPX

CLIPSTEPY

CLIPWIDTH

CLIPX

CLIPY

COLOR or
COLOUR

CONDITION

DEBUG

DEFINE

DESCRIPTION

ENCODING

FIELD

FIELDFLAGS

FILENAME

FILETYPE

FILL

FONT

FONTSIZE

GROUPNAME

HEIGHT

IMAGERES

LEFT

LOCATION

NAME

ORIENT

PAD or
PADDING

PADBOTTOM

PADLEFT

PADRIGHT

PADTOP

PAGE

PAPER

PARAM

PLEX

PLUGIN

POINTSIZE

PREFIX

REPEAT

ROTATE

SCALE

SCALEX

SCALEY

SERIAL

SHAPE

SIDE

STEPX

STEPY

STRING

STYLE

SYMBOLSET

THICKNESS

TOP

TRANSPARENT

TRAY

TRIM

UNITS

WEIGHT

WIDTH

attribute

/

element

For drawing:

attribute\element | B (Bezier) | P (Polyline) | M (Move with pen up)
X |  |  |
Y |  |  |


ALIGN

Attribute: ALIGN

ALIGN overrides the default LEFT, TOP (and BASELINE for text) positioning of items.

To specify a horizontal or vertical alignment only, use:

ALIGN="value"

where value can be:

LEFT

RIGHT

TOP

BOTTOM

CENTRE or CENTER (horizontally only)

BASELINE (for textual items only)

JUSTIFY (for textual items only)

For example, ALIGN="centre" places the item centrally with its top at the TOP position, unless the item is text; in this case the text's baseline is aligned with the TOP position.

To specify a horizontal and vertical alignment, separate the two values with a comma:

ALIGN="value,value"

LEFT | TOP
RIGHT | BOTTOM
CENTRE or CENTER | CENTRE or CENTER
JUSTIFY (for textual items only) |

In addition, you may specify BASELINE for textual items. This uses the leftmost point of the text's baseline to position the item instead of the top-left corner of the item.

Note that when ALIGN is used in conjunction with ROTATE, ALIGN is applied before ROTATE.

Example of TEXT element

See also

TEXT element


BIN

Attribute: BIN

BIN="n"

Used to specify the output bin number instead of using the bin set up on the printer.

Typical output bin numbers:

0 Automatic
1 Upper
2 Lower (rear)

See also

TRAY


BLANKLINES

Attribute: BLANKLINES

BLANKLINES = "YES"

Honours empty lines in the text, and spaces down by the Vertical Motion Index (the default).

BLANKLINES = "NO"

Blank lines of text are omitted.


BOUNDS

Attribute: BOUNDS

BOUNDS="fieldname"

Sets the boundaries for a group. It is derived from a named EscapeE field

or, when there are no commas separating the values:

BOUNDS="left,top,right,bottom" (deprecated).

See also

GROUP element

PAGE element

FILE element


CERTIFICATE

Attribute: CERTIFICATE

This is the security certificate name for a digital signature; see SIGNATURE element.


CLIP

Attribute: CLIP

The area defined by a CLIP attribute is cut from a file and inserted into the IDF document.

CLIP="fieldname"

or

CLIP="left,top,right,bottom" (deprecated).

If there are no commas, then the parameter is assumed to be a fieldname whose boundaries are used to set a clip region.

The top left corner of the resulting area is positioned at the LEFT (or X) and TOP (or Y) position.

See also

CLIPHEIGHT, CLIPWIDTH

CLIPSTEPX, CLIPSTEPY

CLIPX, CLIPY

UNITS


 CLIPHEIGHT

Attribute: CLIPHEIGHT

CLIPHEIGHT="clipheight"

Specifies the height of a clip region in the default units, e.g.

CLIPHEIGHT="1200"

sets position to 2" using default of 1"/600.

Alternatively:

CLIPHEIGHT="clipheight units"

Height of the clip region in specified units, e.g.

CLIPHEIGHT="2 in"

sets position to 2", whatever units have been set up for use elsewhere.

See also

CLIPWIDTH

UNITS


 CLIPSTEPX

Attribute: CLIPSTEPX

CLIPSTEPX="distance"

Steps a clip-region's horizontal position by the specified amount for each sub-item.

See also

CLIPSTEPY

UNITS


 CLIPSTEPY

Attribute: CLIPSTEPY

CLIPSTEPY="distance"

Steps a clip-region's vertical position by the specified amount for each sub-item.

See also

CLIPSTEPX

UNITS


 CLIPWIDTH

Attribute: CLIPWIDTH

CLIPWIDTH="clipwidth"

Width of the clip region, e.g.

CLIPWIDTH="1200"

sets width to 2" in default units

or

CLIPWIDTH="clipwidth units"

E.g.

CLIPWIDTH="2 in"

sets width to 2", whatever units have been set up elsewhere.

See also

CLIPHEIGHT

UNITS


 CLIPX

Attribute: CLIPX

CLIPX="x"

Horizontal offset of a clip region, relative to the start of group, e.g.

CLIPX="60"

sets position to 1/10 inch when UNITS is 1/600 inch (default value).

See also

CLIPY

CLIP


 CLIPY

Attribute: CLIPY

CLIPY="y"

Vertical offset of the clip region, relative to the start of group e.g.

CLIPY="600"

Sets position to 1inch (using default UNITS).

See also

CLIPX

CLIP


COLOUR

Attribute: COLOUR

Sets the colour of the line or text.

COLOUR="r,g,b"
where each of the 3 values (red, green, blue) is in the range '0' to '100' percent,

or

COLOUR="colname"
where 'colname' takes one of these values:

RED | CYAN
GREEN | MAGENTA
BLUE | YELLOW
WHITE | BLACK

Alternative spellings:

COLOR="r,g,b"

COLOR="colname"

Example of Text element

Example of drawing elements

See also

FILL


CONDITION

Attribute: CONDITION

Specifies the case(s) which must (all) be valid in order to process a GROUP.

CONDITION="String Operator String"

where Operator is one of:

= | equal
> | greater than
< | less than
>= | greater than or equal
<= | less than or equal
<> | not equal

and String can include:

· quoted strings
· fields

For example:

CONDITION = "{FIELD1}='First'"

The comparison is case-sensitive.

See also

FIELD


DEBUG

Attribute: DEBUG

When dealing with a complex document, it may prove useful to check the progress of its composition. The attribute:

DEBUG="string"

will place an ! icon on the toolbar; click this to display the "string" in the Console Log if the enclosing tag has been processed.

Example of TRIM


DEFINE

Attribute: DEFINE

An optional attribute which can be used for specifying the source of the position and size coordinates for the field.

DEFINE="yes"

Field coordinates are fixed at the position attributes given in the IDF element tag.

DEFINE="no"

Field coordinates are taken from an existing field in an EE fields-file, and will change if the EE field is changed using EscapeE.

DEFINE="auto"

If the field exists already, coordinates are taken from the EE field (like "No") but if the field does not exist in an EE fields file, the field is defined using the IDF position attributes (like "Yes").

Example

See also

FIELD element


DESCRIPTION

Attribute: DESCRIPTION

This is the document DESCRIPTION, one of the attributes that EscapeE adds to the document when creating a digital signature for security purposes. See Element SIGNATURE.


ENCODING

Attribute: ENCODING

ENCODING="BASE64"

This attribute is used in FILE or IDF elements to deal with binary data placed in the IDF document. This is a convenient means of including the content of binary files (i.e. non-text data such as images) "in-line" rather than as separate files.

If ENCODING is set, any body text found in the file will be converted from the base64 in which the binary was encoded and processed according to the FILETYPE.

If it is not set, the characters in the body text will used literally.


FIELD

Attribute: FIELD

FIELD="fieldname"

The FIELD attribute uses the value of the named field (whereas the FIELD element specifies a field's location), for example:

<TEXT FIELD="Field3" LEFT= "2" TOP="7" WIDTH="1" HEIGHT="1" COLOUR="RED"/>

uses the value of Field3 as its text string.

Note that processing instructions embedded in text may also use field values like this:

<TEXT LEFT= "2" TOP="7" WIDTH="1" HEIGHT="1" COLOUR="RED">

Here is <?EE Field3?> in some text

</TEXT>

Example of GROUP element

Fields may be used when setting up criteria for processing "conditional" groups: see Element GROUP.


FIELDFLAGS

Attribute: FIELDFLAGS

FIELDFLAGS="type,method,border"

The FIELDFLAGS attribute defines a clickable field on a PDF form (corresponding to the PDF options set up in the EscapeE Fields dialogue). It can take up to three arguments, separated by commas.

The first parameter defines the type of field. The second, where appropriate, defines the method. The third parameter, BORDER, is used when a border is required around any of these types of field.

type | method | border | Description
CHECKBOX | CHECKED CENTRE (or CENTER) RIGHT | BORDER | A checkbox: checked, centered vertically or with the button on the right of the caption.
COMBO | EDIT | BORDER | A drop-down list/editable drop-down list.
LINK |  | BORDER | Hyperlink.
LIST |  | BORDER | A list of options.
RADIO | CHECKED CENTRE (or CENTER) RIGHT | BORDER | A radio button: checked, centered vertically or with the button on the right of the caption.
RESET |  | BORDER | Reset button.
SEND | FDF XML | BORDER | Submits the form. (No button is drawn.)
SUBMIT | FDF XML | BORDER | Submits the form. A "Submit" button is drawn.
TEXT |  | BORDER | An editable text field.

See also

FIELD element


FILENAME

Attribute: FILENAME

FILENAME="filename.extension"

An attribute of the FILE element which supplies an external filename and format, e.g.

<FILE FILENAME = "FRED2.PCL" PAGE="4"/>

If the format is not obvious from the file extension (such as ESCP, JPG, TIF, DCM, BMP, DCX, PCX, PNG, RTF, IDF, IMG), EscapeE can also identify and process PDF, PostScript, PCL XL, DICOM and Epson (Esc-P) files automatically, even when a non-specific extension such as PRN is used.

Alternatively, the format may be specified in the FILETYPE attribute.

Example of IDF

See also

FILE element


FILETYPE

Attribute: FILETYPE

Normally, EscapeE recognizes these file formats: PCL, PDF, Epson ESCP, IDF, JPG, BMP, DCX, PCX, PNG, PS, RTF, TIF, IMG or DCM. Should there be any ambiguity in the format of files for data to be processed in-line (e.g. text for a plotter), you may specify the format explicitly, using:

FILETYPE="ext"

Example

<FILE FILENAME = "FRED2.PRN" FILETYPE = "PCL" PAGE="4"/>

See also

Element FILE

FILENAME


FILL

Attribute: FILL

FILL="r,g,b"

The colour for filled areas, where each of the three values (red, green, blue) must be in the range 0 to 100 percent,

or

FILL="fillname"

where 'fillname' takes one of these values:

RED | CYAN
GREEN | MAGENTA
BLUE | YELLOW
WHITE | BLACK

or NONE to turn off filling.

FILL may be used in TEXT elements to place the text on a coloured background. The filled area will be a rectangle just sufficient to underlie normal characters. PADDING may be used to extend the area. ROTATE may be applied too, though while the resulting IDF document will print correctly, some systems will be unable to display it properly on screen.

See also

COLOUR


FONT

Attribute: FONT

FONT="fontname[,weight,style]"

Font family name, optionally followed by a weight and/or style e.g.

"Times New Roman,bold,italic"

Alternatively, the font's style and weight may be given by the STYLE and WEIGHT attributes.

Example of GROUP element.

See also

TEXT element

GROUP element

PAGE element

FILE element


FONTSIZE

Attribute: FONTSIZE

FONTSIZE="n units"

A way of specifying a font size, specifying the units of your choice.

INCHES (or IN)

MM

CM

POINTS (or PT)

E.g.

FONTSIZE="10 pt"

Unlike POINTSIZE, it is scaled according to the current SCALE factor. If

FONTSIZE="n"

is used to specify a font size, the UNITS will be applied e.g. FONTSIZE="12"

Example of TEXT.

See also

TEXT element

GROUP element

PAGE element

FILE element


GROUPNAME

Attribute: GROUPNAME

Once a GROUP has been defined and named in an IDF document, it may be used in subsequent INCLUDE elements using this attribute:

GROUPNAME="name"


HEIGHT

Attribute: HEIGHT

HEIGHT="height"

Height of an item, e.g.

HEIGHT="1200"

sets height of item to 2" when 1"/600 units (the default) used.

or

HEIGHT="height units"

Height of an item, e.g.

HEIGHT="2 in"

sets height of item to 2", whatever units have been set up elsewhere.

Example of drawing elements

See also

WIDTH

UNITS


IMAGERES

Attribute: IMAGERES

The IMAGERES attribute may be used to specify the resolution of images accessed using the FILE element in Dots Per Inch. Used like this:

IMAGERES="dpi"

the resolution defined in IMAGERES is only used when the image file specifies the resolution as 0 or does not specify the resolution at all. For example,

IMAGERES = "100"

is a useful default for most printers. Alternatively, use

IMAGERES="-dpi"

to override resolutions specified in image files and force the IMAGERES value. E.g.

IMAGERES = "-96"

gives good results for viewing an image on-screen.


LEFT

Attribute: LEFT
Attribute: X

LEFT="distance"

or

X="distance"

Horizontal position relative to the start of the enclosing group. Default UNIT is 1/600 inch. e.g.

LEFT="600"

sets position to 1".

If a 'unit' value is appended to the offset value, the current unit value is overridden for that item: for example

X="12CM"

Example of drawing element

Example of FIELD element

See also

TOP, Y


LOCATION

Attribute: LOCATION

The LOCATION attribute is the URL added by EscapeE for a digital signature's security certificate: see Element SIGNATURE.


NAME

Attribute: NAME

NAME="name"

This attribute names the GROUP, FIELD or PAGE element being set up by the tag.

Note: the GROUPNAME attribute is used to invoke a NAMEd GROUP from an INCLUDE element.


ORIENT

Attribute: ORIENT

ORIENT="o"

Orientation of the page, where o takes one of the values:

P - portrait (the default)

L - landscape

I - inverse (portrait rotated 180°)

J - journal (landscape rotated 180°)

Example of RTF element.

See also

PAPER


PAD

Attribute: PAD

PAD="thickness"

Defines the thickness of the padding between the contents of an item and its border. To specify the thickness of the padding on each side of the item independently, use the PADLEFT, PADRIGHT, PADTOP, PADBOTTOM attributes.

Note that padding is applied after ALIGN and ROTATE.

Alternative spelling: PADDING="thickness"

Example:

PADDING="0.250"

See also

Example of RTF element


PADBOTTOM

Attribute: PADBOTTOM

PADBOTTOM="thickness"

Thickness of the padding at the bottom of an item.

Example:

PADBOTTOM="0.200"

See also

PAD

PADTOP

PADLEFT

PADRIGHT


PADLEFT

Attribute: PADLEFT

PADLEFT="thickness"

Thickness of the padding at the left of an item.

Example:

PADLEFT="0.200"

See also

PAD

PADTOP

PADBOTTOM

PADRIGHT


PADRIGHT

Attribute: PADRIGHT

PADRIGHT="thickness"

Thickness of the padding at the right of an item.

Example:

PADRIGHT="0.200"

See also

PAD

PADTOP

PADBOTTOM

PADLEFT


PADTOP

Attribute: PADTOP

PADTOP="thickness"

Thickness of the padding at the top of an item.

Example:

PADTOP="0.200"

See also

PAD

PADBOTTOM

PADLEFT

PADRIGHT


PAGE

Attribute: PAGE

PAGE="n"

'n' is an integer specifying the number of the page to be used by a FILE or an INCLUDE element.

Examples:

<FILE FILENAME = "FRED1.PCL" PAGE="2"/>

<INCLUDE PAGE="3"/>

or

PAGE="NEXT"

when extracting data using REPEAT. See Example of GROUP element.


PAPER

Attribute: PAPER

This sets up the dimensions of the paper to be used.

PAPER="t"

where paper type 't' takes one of the values:

A0

A1

A2

A3

A4 (default)

A5

A6

A7

letter

legal

ledger

tabloid

executive

E.g.

PAPER="LETTER"

Alternatively, specify the width and height of the paper:

PAPER="width,height"

e.g.

PAPER="8.5,11"

Use ORIENT to define the orientation of the paper (using orientation as a second parameter of the paper attribute, e.g. PAPER="LETTER,P" is deprecated).

Example of TEXT element

See also

ORIENT

UNITS


PARAM

Attribute: PARAM

PARAM="parameter"

Enables any number of extra PLUGIN parameter(s) to be passed to the program, for example

<EXECUTE PLUGIN = "PROG.EXE" PARAM = "FIRST" PARAM = "SECOND">

could call

MYPROG "EETMP12345.PRN" FIRST SECOND

See also

EXECUTE element


PLEX

Attribute: PLEX

PLEX="value"

The default is to print on one side of the sheet of paper only (SIMPLEX). When both sides are to be printed, the PLEX value also sets up the page binding:

SIMPLEX default

LONG long-edge binding duplex

SHORT short-edge binding duplex

Example of GROUP element

See also

ORIENT

GROUP element

PAGE element

FILE element


PLUGIN

Attribute: PLUGIN

PLUGIN="file"

The name of the external program to be executed; it must reside in the EscapeE plugins folder. The contents of the item (including any sub-tags) are written to a temporary file whose name is passed as the first parameter (enclosed in quotes in the case of calling a program).

If the ENCODING is set to BASE64 and there are no sub-tags then the body text is decoded as base 64, otherwise it is written as it appears.

See also

EXECUTE element

PARAM


POINTSIZE

Attribute: POINTSIZE

POINTSIZE="pointsize"

Specifies the absolute font height.

It is never scaled.

Example of GROUP element.

See also

FONTSIZE

GROUP element

PAGE element

FILE element

TEXT element


PREFIX

Attribute: PREFIX

PREFIX="prefix"

This attribute may be used to add the prefix characters to the start of:

· group names in INCLUDE elements
Group names in the included file all start with the prefix, to avoid conflict with names in the main file.
· field names defined by fields taken from CSV files
This allows one to read a CSV file without danger of inadvertently redefining fields that were defined in EscapeE or the IDF file. For example, if
PREFIX="XX_"
then the field names read from the CSV file would all start with XX_ which would distinguish them from other fields.

See also

Example of GROUP element


REPEAT

Attribute: REPEAT

To step through a database file extracting data values, e.g. for merging files, use

REPEAT = "n"

where n is a number: repeats n times

or

REPEAT="YES"

repeats until no new data is provided. See PAGE="NEXT" and Example of GROUP element.

Programmers Note New data is provided by reading a file whose page number is specified as PAGE = "NEXT" or by calling a plugin whose return code must be ee_dataProvided to signify that it produced new data.


ROTATE

Attribute: ROTATE

ROTATE="n"

where n is the number of counter-clockwise right-angles to rotate text, lines and other drawn items. The item is rotated within its own boundaries after ALIGNment (left,top if unspecified). Values of n:

0 (the default)

1 (left-side down)

2 (up-side down)

3 (right-side down)

PADDING, if specified, is applied after ROTATE.

Example of ROTATE

Alternatively text, lines and other drawn items may use

ROTATE="n DEGREES"

where n is the number of degrees of rotation counter-clockwise. See Example of TEXT.

Note that while IDF documents using ROTATEd FILLed TEXT elements print correctly, some systems cannot display the rotated text on top of the background colour.

See also

ORIENT


SCALE

Attribute: SCALE

SCALE="s"

Multiplies both the current x and y scale factors by s,

or

SCALE="FULL"

Instead of a number, s can be set to "FULL" to set the scale back to 1, regardless of the scale of any enclosing group.

See also

SCALEX

SCALEY


SCALEX

Attribute: SCALEX

SCALEX="s"

Multiplies the current scale in the x direction by s.

See also

SCALEY

SCALE


SCALEY

Attribute: SCALEY

SCALEY="s"

Multiplies the current scale in the y direction by s.

See also

SCALEX

SCALE


SERIAL

Attribute: SERIAL

The SERIAL number for a security certificate added by EscapeE; see Element SIGNATURE.


SHAPE

Attribute: SHAPE

SHAPE="value"

Draws a shape bounded by the containing group. The value can be one of:

RECTANGLE | rectangular area filled with solid colour - the default
BOX | solid line drawn centred on group boundary
ELLIPSE | solid line drawn to touch the group boundary

Example of drawing elements

See also

THICKNESS


SIDE

Attribute: SIDE

SIDE="side"

The 'side' of the sheet of paper - choose from:

FRONT (default)

BACK

NEXT

See also

GROUP element

PAGE element

FILE element


STEPX

Attribute: STEPX

STEPX="distance"

Steps the horizontal print position LEFT (X) by the specified amount for each sub-item.

See also

STEPY

UNITS


STEPY

Attribute: STEPY

STEPY="distance"

Steps the vertical print position TOP (Y) by the specified amount for each sub-item.

Example

See also

STEPX

UNITS


STRING

Attribute: STRING

STRING=""

The string for a TEXT element to display on a PAGE, at the given position using the specified FONT.

STRING='{""}'

The text to be used to prompt a user for input to a FIELD.

Example of TEXT element

Double page example


STYLE

Attribute: STYLE

STYLE="n"

A way of supplying the style using the HP value:

0 | Normal
1 | Italic
2 | Oblique
4 | Condensed
5 | Condensed Italic
24 | Expanded
32 | Outline
64 | Inline
128 | Shadowed
160 | Outline Shadowed

Example of TEXT element.

See also

FONT

WEIGHT


SYMBOLSET

Attribute: SYMBOLSET

The SYMBOLSET is used by TEXT elements to determine which set of characters to use.

SYMBOLSET="identifier"

The alphanumeric "identifier" for the default symbolset is "19U". Note that while some characters (e.g. A to Z) commonly map to the same character in different symbol sets, other characters are likely to map to different characters. Thus you may only notice that the wrong symbolset is in use when accented characters or mathematical symbols are output inappropriately. For example, plusminus in 19U (equivalent to MS Codepage 1252) maps to Yacute in 8U (HP's Roman-8), and a checkerboard in 10U!

Example of FIELD element


THICKNESS

Attribute: THICKNESS

THICKNESS="t"

Sets the pen thickness for boxes and ellipses.

Example of drawing elements

See also

SHAPE


TOP

Attribute: TOP
Attribute: Y

TOP="distance"

or

Y="distance"

Vertical offset relative to the start of the group, e.g.

TOP="600"

sets position to 1" down from the top of the group when using the default units (1"/600).

Note: for TEXT elements, the offset positions the baseline of the characters, not the top of the character cell.

Example of TEXT element

Example of ROTATE

See also

LEFT, X


TRANSPARENT

Attribute: TRANSPARENT

TRANSPARENT="Y"

allows any white parts of a file to appear transparent (default).
Note that some file formats apply a white background on which to place the file content, which negates the effect.

or

TRANSPARENT="N"

places the file content on a white background.

Try the Example of IDF element to see the effect using an image file.

See also

GROUP element

PAGE element

FILE element


TRAY

Attribute: TRAY

TRAY="n"

Specifies the Input tray number.

Typically used only when the job uses more than one type of paper, for example, when each page is to be printed on a different coloured sheet.

See also

BIN


TRIM

Attribute: TRIM

TRIM="YES"

Setting TRIM to "yes" removes any white space bordering an image or page of a file that is being included. TRIM has no effect on the page being defined by the IDF, only on external objects that are being incorporated. The default is

TRIM="NO"

Example of TRIM


TYPEFACE

Attribute: TYPEFACE (deprecated)

TYPEFACE="n"

Specifies the typeface using HP PCL numbers, e.g.

TYPEFACE="3"

to use Courier. This would be better expressed as FONT="Courier"

Example of FIELD element

See also

FONT


UNITS

Attribute: UNITS

UNITS="value"

Where 'value' may be one of:

INCHES, IN

DOTS (1"/300)

DOT600, D600 (1"/600, the default)

POINTS, PT

DE (decipoints)

CM

MM

or a number followed by one of the units, e.g.

UNITS="0.01 IN"

Example of TEXT element

See also

GROUP element

PAGE element

FILE element


WEIGHT

Attribute: WEIGHT

WEIGHT="n"

A way of supplying the font's weight using the HP value:

7 | BLACK
3 | BOLD
0 | REGULAR (default)
-3 | LIGHT

Example of TEXT element

See also

FONT

STYLE


WIDTH

Attribute: WIDTH

WIDTH="width"

Width of an item, e.g.

WIDTH="2400"

sets width to 4" when default units (1"/600) used.

or

WIDTH="width units"

Width of an item, e.g.

WIDTH="4 in"

sets width to 4", whatever units have been set up elsewhere.

Example of drawing elements

See also

HEIGHT

UNITS


Examples

These topics show example IDF scripts to demonstrate how IDF elements and attributes may be used. An xml header may not be necessary if the document was saved in UTF-8. Typical headers:

<?xml version="1.0" encoding="UTF-8"?>

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>

<?xml version="1.0" encoding="UTF-8" standalone="no"?>

▪ Example of drawing elements.
▪ Example of FIELD element.
▪ Example of GROUP element.
▪ Example of IDF element.
▪ Example of RTF element.
▪ Example of TEXT element.
▪ Example of attribute ROTATE.
▪ Example of attribute STEPY.
▪ Example of attribute TRIM.
▪ Double page example demonstrates how to create "two-up" pages from a file nominated by a user.


 Example of drawing elements

Example of drawing elements B, M, P

This example code draws an ogee arch topped plaque. Note that the outer line is made up of a Bezier curve and a Polyline, both starting from the same 'Move' position (1,2).

The first GROUP places an image in a circle with a red border. The second places a BOX.

<!DOCTYPE IDF SYSTEM "C:\REDTITAN\SOFTWARE\IDF.DTD">

<IDF UNITS="INCHES" PAPER="A4" ORIENT="P">

<PAGE>

<M X="1" Y="2"/>

<B X="2" Y="2"/>

<B X="2" Y="1"/>

<B X="3" Y="1"/>

<B X="4" Y="1"/>

<B X="4" Y="2"/>

<B X="5" Y="2"/>

<P X="1" Y="5"/>

<P X="5" Y="5"/>

<P X="5" Y="2"/>

<GROUP LEFT="2.5" TOP="1.25" WIDTH="1.0" HEIGHT="1.0" SHAPE="ELLIPSE" THICKNESS="0.01" COLOUR="red">

<FILE FILENAME="RIFLE60.PNG" />

</GROUP>

<GROUP LEFT="1.5" TOP="2.5" WIDTH="3" HEIGHT="2" SHAPE="BOX" />

</PAGE>

</IDF>


 Example of FIELD element

Example of FIELD element

Example of two FIELD elements: in the first the coordinates are taken from an EE file, in the second the coordinates are taken from the IDF file itself.

The TEXT elements demonstrate the use of different SYMBOLSETs.

<IDF UNITS="INCHES">

<PAGE>

<FIELD NAME="Field1" LEFT= "1" TOP="1" WIDTH="4" HEIGHT="2" DEFINE="AUTO" SHAPE="BOX">

<TEXT ALIGN="CENTRE,CENTRE" SYMBOLSET="8U">Text centered in the field;

coordinates of the field can be moved

by editing the fields file with EscapeE

Symbolset 8U ÙµÁ</TEXT>

</FIELD>

<FIELD NAME="Field2" LEFT= "1" TOP="4" WIDTH="4" HEIGHT="2" DEFINE="YES" SHAPE="BOX">

<TEXT ALIGN="CENTRE,CENTRE" TYPEFACE="3" SYMBOLSET="10U">Text centered in the field;

coordinates fixed by the IDF.

Symbolset 10U ÙµÁ</TEXT>

</FIELD>

</PAGE>

</IDF>


Example of GROUP element

The GROUP in this example steps through the records of a CSV file, merging the data into fields in a print file.

<IDF UNITS="INCHES" PLEX= "SIMPLEX" PAPER = "A4" FONT = "Times New Roman" POINTSIZE = "12">
<GROUP REPEAT="YES">

<PAGE>

<INCLUDE FILENAME = "c:\escapee\users.csv" PAGE = "NEXT"/>

<INCLUDE FILENAME = "c:\escapee\letter.lsh" PAGE="1"/>

<TEXT BOUNDS ="ADDRESS" BLANKLINES="NO">

<?EE TITLE?> <?EE FIRSTNAME?> <?EE NAME?>

<?EE COMPANY?>

<?EE ADDR1?>

<?EE ADDR2?>

<?EE ADDR3?>

<?EE ADDR4?>

<?EE TOWN?>

<?EE COUNTY?>

<?EE POSTCODE?>

<?EE COUNTRY?>

</TEXT>

<TEXT BOUNDS =" SALUTATION"><?EE TITLE?> <?EE NAME?></TEXT>

</PAGE>

<PAGE>

<INCLUDE FILENAME = "c:\escapee\letter.lsh" PAGE="2"/>

</PAGE>

</GROUP>

</IDF>


Example of IDF element

This IDF file superimposes a graphic on page number 2 taken from a PDF file:

<IDF UNITS = "INCHES" PAPER="A4">

<PAGE>

<FILE FILENAME="manual.pdf" PAGE="2" />

<FILE LEFT="1" TOP="0.3" FILENAME="logo.png" TRANSPARENT = "Y" />

</PAGE>

</IDF>


Example of RTF element

This IDF code would create a document that would show these two lines of RTF text:

Sample of Arial 10pt regular in black.

Sample of Times New Roman 12pt bold in red.

<IDF UNITS="INCHES" PAPER="A4" ORIENT="P">

<PAGE>

<RTF TOP="0.500" LEFT="1.000" WIDTH="3.500" HEIGHT="0.396" PAD="0.000" INFO="0000"><![CDATA[{\rtf1\rtres96\ansi\deff0{\fonttbl{\f0\fnil\fcharset0 Arial;}{\f1\fnil\fcharset0 Times New Roman;}{\f2\fnil Arial;}}{\colortbl ;\red0\green0\blue0;\red255\green0\blue0;}\viewkind4\uc1\pard\cf1\lang2057\fs20 Sample of Arial 10pt regular in black.\par \cf2\b\f1\fs24 Sample of Times New Roman 12pt bold in red.\cf1\b0\f2\fs20 \par \par }]]></RTF>

</PAGE>

</IDF>


Example of TEXT element

A heading, (left-aligned) in red bold italics, is placed on a page of A4 paper. The baseline for the heading is at the TOP.

A paragraph of text, right-aligned (in black) is placed with its baseline 2 cm further down the page on a grey background.

An "EXAMPLE" sticker is simulated using rotated text and a rectangular box shape.

<IDF UNITS = "INCHES" PAPER="A4">

<PAGE TOP="1" LEFT="0.5" WIDTH="7.25" HEIGHT="9" >

<TEXT STRING="IDF syntax" COLOUR=red FONT="Arial" WEIGHT="3" STYLE="1" />

<TEXT TOP="2.00cm" ALIGN="RIGHT" FILL="90,90,90" >IDF is a way of describing in XML

the structure of a composite document

to the EscapeE viewer and transformation system.</TEXT>

<TEXT STRING="EXAMPLE" COLOUR="50,50,100" FONT="Arial" FONTSIZE="14 PT"WEIGHT="3" TOP="1" LEFT="2" ROTATE="22.5 DEGREES"/>

<GROUP LEFT="1.5" TOP="1" WIDTH="2" HEIGHT="0.25" SHAPE="BOX" ROTATE="22.5 DEGREES"/>

</PAGE>

</IDF>


Example of ROTATE

This example shows an image ROTATEd and ALIGNed in a grid of square boxes.

<IDF UNITS="INCHES" PAPER="A4" ORIENT="P">

<PAGE>

<FILE FILENAME="compass.png" SHAPE="BOX" Y="1" X="1" WIDTH="2cm" HEIGHT="2cm" ROTATE="0" />

<FILE FILENAME="compass.png" SHAPE="BOX" Y="1" X="2" WIDTH="2cm" HEIGHT="2cm" ROTATE="1" />

<FILE FILENAME="compass.png" SHAPE="BOX" Y="1" X="3" WIDTH="2cm" HEIGHT="2cm" ROTATE="2" />

<FILE FILENAME="compass.png" SHAPE="BOX" Y="1" X="4" WIDTH="2cm" HEIGHT="2cm" ROTATE="3" />

<FILE FILENAME="compass.png" SHAPE="BOX" Y="2" X="1" WIDTH="2cm" HEIGHT="2cm" ROTATE="0" ALIGN="bottom" />

<FILE FILENAME="compass.png" SHAPE="BOX" Y="2" X="2" WIDTH="2cm" HEIGHT="2cm" ROTATE="1" ALIGN="bottom" />

<FILE FILENAME="compass.png" SHAPE="BOX" Y="2" X="3" WIDTH="2cm" HEIGHT="2cm" ROTATE="2" ALIGN="bottom" />

<FILE FILENAME="compass.png" SHAPE="BOX" Y="2" X="4" WIDTH="2cm" HEIGHT="2cm" ROTATE="3" ALIGN="bottom" />

<FILE FILENAME="compass.png" SHAPE="BOX" Y="3" X="1" WIDTH="2cm" HEIGHT="2cm" ROTATE="0" ALIGN="right,bottom" />

<FILE FILENAME="compass.png" SHAPE="BOX" Y="3" X="2" WIDTH="2cm" HEIGHT="2cm" ROTATE="1" ALIGN="right,bottom" />

<FILE FILENAME="compass.png" SHAPE="BOX" Y="3" X="3" WIDTH="2cm" HEIGHT="2cm" ROTATE="2" ALIGN="right,bottom" />

<FILE FILENAME="compass.png" SHAPE="BOX" Y="3" X="4" WIDTH="2cm" HEIGHT="2cm" ROTATE="3" ALIGN="right,bottom" />

<FILE FILENAME="compass.png" SHAPE="BOX" Y="4" X="1" WIDTH="2cm" HEIGHT="2cm" ROTATE="0" ALIGN="right" />

<FILE FILENAME="compass.png" SHAPE="BOX" Y="4" X="2" WIDTH="2cm" HEIGHT="2cm" ROTATE="1" ALIGN="right" />

<FILE FILENAME="compass.png" SHAPE="BOX" Y="4" X="3" WIDTH="2cm" HEIGHT="2cm" ROTATE="2" ALIGN="right" />

<FILE FILENAME="compass.png" SHAPE="BOX" Y="4" X="4" WIDTH="2cm" HEIGHT="2cm" ROTATE="3" ALIGN="right" />

</PAGE>

</IDF>


Example of STEPY

Using STEPY to lay out a form.

<IDF UNITS = "INCHES" PAPER="A4">

<PAGE TOP="1" LEFT="1" STEPY="0.5" >

<TEXT STRING="Name:" />

<TEXT STRING="Address:" />

<TEXT STRING="Postcode:" />

<TEXT STRING="Telephone number:" />

</PAGE>

</IDF>


Example of TRIM

An image "logo.png" is placed 1inch from the top of a page.

The same image is placed 3inches from the top of the page, but with white pixels at the edges TRIMmed off.

<IDF UNITS="INCHES">

<PAGE>

<GROUP LEFT= "1" TOP="1" WIDTH="0.5" HEIGHT="0.4" SHAPE="BOX" DEBUG="So far">

<FILE FILENAME="logo.png" ALIGN="TOP,LEFT" TRIM="NO"/>

</GROUP>

<GROUP LEFT= "1" TOP="3" WIDTH="0.5" HEIGHT="0.4" SHAPE="BOX" DEBUG="So good">

<FILE FILENAME="logo.png" ALIGN="TOP,LEFT" TRIM="YES"/>

</GROUP>

</PAGE>

</IDF>

A DEBUG comment has been placed in each group for monitoring the progress of the document composition. In this example, click the ! icon on the EscapeE toolbar to display the message:

So far at byte 100
So good at byte 249

in the console log.


 Double page example

Double page example

This IDF script prompts the user for an input file of pages in portrait orientation and then shows it as double-page spreads on landscape pages.

The pages are scaled to fit the length of the input page into the height of the output page. The location of each input page alternates between the top-left and the top-centre of each landscape page so that two pages are placed side-by-side on the output page.

<?xml version="1.0" encoding="UTF-8" standalone="no"?>

<IDF UNITS="INCHES" PAPER="A4" ORIENT="L">

<FIELD DEFINE="YES" NAME="INFILE" STRING='{"Input file name"}'/>

<GROUP REPEAT="YES" FILENAME="{INFILE}">

<PAGE>

<FILE LEFT="0" TOP="0" SCALE="0.7071" PAGE="NEXT"/>

<FILE LEFT="PAGE.WIDTH/2" TOP="0" SCALE="0.7071" PAGE="NEXT"/>

</PAGE>

</GROUP>

</IDF>


Paper

IDF Wizard

 Top

Paper types

A0 | EXECUTIVE | ARCH30
A1 | LEDGER | ARCH A
A2 | LEGAL | ARCH B
A3 | LETTER | ARCH C
A4 | ANSI C | ARCH D
A5 | ANSI D | ARCH E
A6 | ANSI E |
Envelopes
C5 | COMMERCIAL |
DL | MONARCH |